unit uPluginContactos;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCContactos = interface(IInterface)
    ['{BAEDC5D8-2FE8-4907-8027-C60861829BA9}']

  end;
  
  TPluginContactos = class(TModuleController, IMCContactos)
    actClientes: TAction;
    actProveedores: TAction;
    Compras1: TMenuItem;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    Proveedores1: TMenuItem;
    Resumen1: TMenuItem;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    N2: TMenuItem;
    actAgentes: TAction;
    Vendedores1: TMenuItem;
    N4: TMenuItem;
    actGruposCliente: TAction;
    procedure actClientesExecute(Sender: TObject);
    procedure actProveedoresExecute(Sender: TObject);
    procedure actAgentesExecute(Sender: TObject);
    procedure actGruposClienteExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;
  
implementation

{$R *.dfm}

uses
  Forms, Dialogs, uGUIBase, uCustomEditor, SysUtils, uContactosController,
  uClientesController, uProveedoresController,
  uAgentesController, uGruposClienteController, uBizGruposCliente, 
  uContactosViewRegister, uBizContactos;

function GetModule : TModuleController;
begin
  Result := TPluginContactos.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

{
******************************* TModuleContactos *******************************
}
procedure TPluginContactos.actClientesExecute(Sender: TObject);
var
  AClientesController : IClientesController;
  AClientes : IBizCliente;
begin
  AClientesController := TClientesController.Create;
  AClientes := (AClientesController.BuscarTodos as IBizCliente);
  AClientesController.VerTodos(AClientes);
end;

procedure TPluginContactos.actGruposClienteExecute(Sender: TObject);
var
  AGruposClienteController : IGruposClienteController;
  AGruposCliente : IBizGrupoCliente;
begin
  AGruposClienteController := TGruposClienteController.Create;
  AGruposCliente := (AGruposClienteController.BuscarTodos as IBizGrupoCliente);
  AGruposClienteController.VerTodos(AGruposCliente);
end;

procedure TPluginContactos.actProveedoresExecute(Sender: TObject);
var
  AProveedoresController : IProveedoresController;
  AProveedores : IBizProveedor;
begin
  AProveedoresController := TProveedoresController.Create;
  AProveedores := (AProveedoresController.BuscarTodos as IBizProveedor);
  AProveedoresController.VerTodos(AProveedores);
end;

procedure TPluginContactos.actAgentesExecute(Sender: TObject);
var
  AAgentesController : IAgentesController;
  AAgentes : IBizAgente;
begin
  AAgentesController := TAgentesController.Create;
  AAgentes := (AAgentesController.BuscarTodos as IBizAgente);
  AAgentesController.VerTodos(AAgentes);
end;

constructor TPluginContactos.Create(AOwner: TComponent);
begin
  inherited;
  uContactosViewRegister.RegisterViews;
end;

destructor TPluginContactos.Destroy;
begin
  uContactosViewRegister.UnregisterViews;
  inherited;
end;

initialization
  uHostManager.RegisterModuleClass(TPluginContactos);

finalization
  uHostManager.UnRegisterModuleClass(TPluginContactos);

end.
